# Class CSSElementContextImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.engine.CSSElementContextImpl

All Implemented Interfaces:
  `CSSElementContext`

public class CSSElementContextImpl extends Object implements CSSElementContext

## Constructor Summary

Constructors
Constructor
Description
`CSSElementContextImpl()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`elementMustBeRefreshed(IElementProvider elementProvider)`
Return true if element provider has changed and false otherwise.
`Object`
`getData(Object key)`
Get data with `key`.
`Element`
`getElement()`
Return the `Element` which wrap the native widget.
`void`
`setData(Object key, Object value)`
Set data `value` into the context with `key`.
`void`
`setElement(Element newElement)`
Set the `Element` which wrap the native widget.
`void`
`setElementProvider(IElementProvider elementProvider)`
Set `IElementProvider` used to get the Element wich wrap the native widget.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CSSElementContextImpl

public CSSElementContextImpl()

## Method Details

### setData

public void setData(Object key, Object value)
Description copied from interface: `CSSElementContext`
Set data `value` into the context with `key`.

Specified by:
  `setData` in interface `CSSElementContext`

### getData

public Object getData(Object key)
Description copied from interface: `CSSElementContext`
Get data with `key`.

Specified by:
  `getData` in interface `CSSElementContext`

### getElement

public Element getElement()
Description copied from interface: `CSSElementContext`
Return the `Element` which wrap the native widget.

Specified by:
  `getElement` in interface `CSSElementContext`

### setElement

public void setElement(Element newElement)
Description copied from interface: `CSSElementContext`
Set the `Element` which wrap the native widget.

Specified by:
  `setElement` in interface `CSSElementContext`

### elementMustBeRefreshed

public boolean elementMustBeRefreshed(IElementProvider elementProvider)
Description copied from interface: `CSSElementContext`
Return true if element provider has changed and false otherwise.

Specified by:
  `elementMustBeRefreshed` in interface `CSSElementContext`

### setElementProvider

public void setElementProvider(IElementProvider elementProvider)
Description copied from interface: `CSSElementContext`
Set `IElementProvider` used to get the Element wich wrap the native widget.

Specified by:
  `setElementProvider` in interface `CSSElementContext`